# Interface methods for submodule: LightObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: LightObject
class LightObjectProxy():
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Print(self, os, indent = 0) -> None:
		""""""
		...

	@staticmethod
	def BreakOnError() -> None:
		""""""
		...

	def GetReferenceCount(self) -> int:
		""""""
		...

